import { Connection } from "jsforce";
export default class PackageInfo {
    conn: Connection;
    apiversion: string;
    constructor(conn: Connection, apiversion: string, jsonOutput: boolean);
    getPackages(): Promise<PackageDetail[]>;
    private getInstalledPackages;
}
export interface PackageDetail {
    packageName: string;
    subcriberPackageId: string;
    packageNamespacePrefix: string;
    packageVersionNumber: string;
    packageVersionId: string;
    allowedLicenses: number;
    usedLicenses: number;
    expirationDate: string;
    status: string;
}
